Critical Error in Stand Alone Plugin – Can’t edit pages or posts

  • Can’t edit page or post in classic editor. Critical error in the stand alone plugin.

    • This topic was modified 3 months, 2 weeks ago by Adrian.
Viewing 15 replies - 1 through 15 (of 17 total)
  • Hello,

    Thank you for contacting the support and sorry for any inconvenience that might have been caused due to that.

    Sorry for the issue you are facing.

    Assuming you are using the latest version of all the plugins and the themes (please update if not yet), it could be a conflict with one of the plugins or the theme you are using.

    To determine that, please follow this troubleshooting guide:
    https://rankmath.com/kb/check-plugin-conflicts/

    Please let us know if you find the culprit.

    Only the site admin would know and your users won’t be affected by this troubleshooting.

    Looking forward to helping you.

    The conflict is in last version of Schema Markup Rich Snippets stand alone plugin.

    Hi,

    Sorry about that.

    Could you please delete the plugin and install it again? That should fix the issue.

    If that doesn’t work, we might need to take a closer look at the settings. Please include your WP logins in the designated Sensitive Data section.
    Sensitive Data Section

    It is completely secure and only our support staff has access to that section. If you want, you can use the below plugin to generate a temporary login URL to your website and share that with us instead:
    https://wordpress.org/plugins/temporary-login-without-password/

    You can use the above plugin in conjunction with the WP Security Audit Log to monitor what changes our staff might make on your website (if any):
    https://wordpress.org/plugins/wp-security-audit-log/

    We really look forward to helping you.

    I have 3 pages with the same settings. in 3 the same thing happens to me with the schema plugin. I don’t have the rankmath plugin installed. In a test that I have locally if it works.

    I leave you a temporary administration link. Once you are inside if you go to pages and hit edit, the error jumps.

    Another problem thrown problem is that if I go to the schema options in the rankmath menu, it doesn’t have permission and doesn’t let modify anything. If I install the rankmath suite this problem does not appear and everything works correctly. It also works if I rollback to Schema Markup Rich Snippets version 1.0.1

    • This reply was modified 3 months, 2 weeks ago by Adrian.

    Hello,

    I have updated the sensitive data as requested. Can you please check further?

    Thank you.

    Hello,

    I have updated the sensitive data as requested. Can you please check further?

    Thank you.

    Hello,

    Thank you for contacting Rank Math and sorry for any inconvenience that might have been caused due to that.

    I used the health-check plugin on your site and the issue seems to appear when you activate classic editor on your site and not from schema plugin. Please check and confirm if you can replicate the same.

    Looking forward to helping you. Thank you.

    ​​​​​​​

    without clasissic editor activated the problem persist.

    check the url of Rankmath schema options please in Dashboard go to Rankmath/dashboard/
    Schema (Structured Data) / settings

    URL Moved to Sensitive Data section

    Rollback to version 1.0.1 all works fine. the errors are in the 1.0.2 and 1.0.3 versions of the plugin.

    • This reply was modified 3 months, 2 weeks ago by Alberto.

    Hello,

    Thank you for the reply.

    I’ve submitted this issue to our dev team and we will be getting back to you in a short while.

    We appreciate your patience. Thank you.

    Hello,

    I see the issue on your site but I couldn’t reproduce it on my setup. Can you add your site’s FTP access in the Sensitive Data Section so we could debug the issue by changing some code in the plugins files?

    Looking forward to helping you.

    I got the same critical error btw since upgrading to WP 5.4, and upgrading ACF 5.8.9.

    This is the error I got (the asterisks in nlboom-*** I put there for security purposes):

    Stack trace: 
    #0 /var/www/nlboom-***/wordpress/current/wp-includes/class-wp-hook.php(287): RANKMATH_SCHEMA\Admin\Metabox\Metabox->enqueue('post.php') 
    #1 /var/www/nlboom-***/wordpress/current/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array) 
    #2 /var/www/nlboom-***/wordpress/current/wp-includes/plugin.php(478): WP_Hook->do_action(Array) 
    #3 /var/www/nlboom-***/wordpress/current/wp-admin/admin-header.php(104): do_action('admin_enqueue_s...', 'post.php') 
    #4 /var/www/nlboom-***/wordpress/current/wp-admin/edit-form-advanced.php(419): require_once('/var/www/nlboom...') 
    #5 /var/www/nlboom-***/wordpress/current/wp-admin/post.php(206): require('/var/www/nlboom...') 
    #6 {main} 
    thrown

    HI DVT,

    Thanks for getting in touch with us and sorry for the inconvenience caused.

    Could you please open a new ticket since your error is a bit different from the one on this thread?

    We are looking forward to helping you. Thank you.

    Ok, i put a ftp credentials in sensitive data

    Hello,

    I have updated the sensitive data as requested. Can you please check further?

    Thank you.

    Hello,

    We were able to reproduce the error and have logged it. Please allow us some time to test and release a fix.

    For now, to fix the issue on your site, I updated the packages in the vendors folder. That seemed to have fixed the issue. Can you please confirm?

    Thank you.

Viewing 15 replies - 1 through 15 (of 17 total)

The ticket ‘Critical Error in Stand Alone Plugin – Can’t edit pages or posts’ is closed to new replies.